# Enum RetentionPolicy

java.lang.Object
java.lang.Enum<RetentionPolicy>
java.lang.annotation.RetentionPolicy

All Implemented Interfaces:
  `Comparable<RetentionPolicy>`

public enum RetentionPolicy extends Enum<RetentionPolicy>
A mirror of java.lang.annotation.RetentionPolicy.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLASS`
  `RUNTIME`
  `SOURCE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RetentionPolicy`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RetentionPolicy[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CLASS

    public static final RetentionPolicy CLASS

  - ### RUNTIME

    public static final RetentionPolicy RUNTIME

  - ### SOURCE

    public static final RetentionPolicy SOURCE

- ## Method Details

  - ### values

    public static RetentionPolicy[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RetentionPolicy valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null